Subject: bug#57121: clojure-build-system fails to compile -- backtrace from language/tree-il/peval.scm

From: Maxime Devos <[email-masked]>
Date: Mon, 22 Aug 2022 20:10:00 +0200

On 22-08-2022 17:32, Maxim Cournoyer wrote:
>> These patches are for Guix' build system.  I don't see anything that
>> could be done on the Guile side, except for eventually migrating some
>> dependency tracking stuff over to Guile
> If a module imports a different module, and that module changes, even if
> it's macro, Guile should not blindly reuse the stale .go like it
> currently does.  It should complain and evaluate from source instead.
>
> That would cover the base and avoid breakage.  After, if it known how to
> do that, yes, it seems it'd be useful to have something similar to 'gcc
> -M' to provide the needed intelligence to the build system.
>
> Does that make sense?

Sounds reasonable, though we could go for something less general in Guix 
first.

Greetings,
Maxime.